Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 03 Apr 2020, 16:33
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
VIDCUTTER
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [13 Posts]  
Author Message
fabrice_035


Joined: 28 Apr 2014
Posts: 672
Location: Bretagne / France

PostPosted: Tue 23 Jul 2019, 11:50    Post subject:  VIDCUTTER
Subject description: video-editor
 

Hi,

Anyone can compile Vidcutter for puppy plz ?



https://github.com/ozmartian/vidcutter



Regard

_________________
xenialpup 7.5 / Linux Kernel: 4.4.95 / Window Manager: JWM v2.3.7
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 13496
Location: S.C. USA

PostPosted: Tue 23 Jul 2019, 12:23    Post subject:  

What Puppy version?
Do you want it for Xenialpup 7.5 the 32bit version?

_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer)
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 6078
Location: King's Lynn, UK.

PostPosted: Tue 23 Jul 2019, 12:51    Post subject:  

@ bigpup:-

Nah, 32-bit's a no-go for this, mate. Has been since v4.0.0, a couple of years back. It's 64-bit only, now. (And it uses Qt5, which I do not get on with. Personally, I gave up on this a while back....)

Ozmartian is concentrating on the Snaps & FlatPaks. The only other available port for Linux, the AppImage, hasn't worked properly under Puppy for quite a while.

------------------------------

@ fabrice_035:-

Have you tried the AppImage?

Current release is up to version 6.0.0. I used to have version 4.0.0 running quite happily in Tahrpup64, but ever since version 4.0.0. subsequent versions have refused to play ball.

You may have more luck with it than I have; it's Qt5-based, and Qt5 and I do not see 'eye-to-eye'. Instead, I now use the Electron-based LosslessCut. It may not look as 'fancy' as VidCutter, but to my way of thinking it's more effective:-

http://www.murga-linux.com/puppy/viewtopic.php?t=112245

Releases at Github:-

https://github.com/mifi/lossless-cut/releases

labbe5 found it, initially. We did some experimenting with the v1.0.0 release; that ran quite happily. I then experimented with the 1.10.0 release, which refused to even start...

From 2.2.0 onwards, it's gone 64-bit only. I've just tried out v2.1.0, which is the final 32-bit release of this app for Linux, in Bionicpup32. It fires up with no issues.

I highly recommend this, because it has a very easy-to-follow GUI. You can either open a video file with the Menu 'File' button, or simply drag'n'drop onto the GUI:-





You start & pause with the central 'Play' button, top row, and you can 'micro-step' back & forth with the small arrows either side. To 'cut' a section:-





.... in the bottom row, you click on the left-facing arrow to mark the 'start' point, followed by the right-facing arrow to mark the 'end' point. To cut, you click on the 'scissors'. That's all there is to it. It'll be saved alongside the 'source' video.

(Click on the dustbin if you change your mind and want to 'start over'.)

Just in case you're interested, like.....


Mike. Wink

_________________
MY 'PUPPY' PACKAGES


Last edited by Mike Walsh on Tue 23 Jul 2019, 20:57; edited 1 time in total
Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 3753
Location: 500 seconds from Sol

PostPosted: Tue 23 Jul 2019, 13:36    Post subject: vs. Avidemux  

Hi MIke Walsh,

I haven't used either losslesscut or vidcutter. Do either of these do anything which can't be done under Avidemux?
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 6078
Location: King's Lynn, UK.

PostPosted: Tue 23 Jul 2019, 13:50    Post subject: Re: vs. Avidemux  

mikeslr wrote:
Hi MIke Walsh,

I haven't used either losslesscut or vidcutter. Do either of these do anything which can't be done under Avidemux?


Hallo, Mike.

Nah, not really. It's like AppImages; I mainly use 'em because they're more convenient.....and it's the same with Electron stuff, despite their humungous size.... Embarassed

Before you say it, I know Avidemux is much, much smaller. I agree; it is. I've just never got on with Avidemux's way of doing things, that's all. This is despite putting together AppImage and 'portable' versions of Patriot's 2.5.2 AIO (all-in-one), which I tested out in several Pups to make sure they were literally 'click-to-run'. Smile

I have it installed, in portable format, in a relatively 'bare-bones' USB Lucid I've recently put together. I probably won't use it much, if at all, but I wanted to make sure I had at least one of everything....if ya know what I mean!

Space has never been an issue for me on the big Compaq desktop, unlike ye anciente Dell; I'm a bit more careful what I run on there.....that ol' P4 is the real bottleneck, of course. But I love Pup's way of doing stuff, even though I could run mainstream distros on here, if I wanted to.

I don't want to!


Mike. Wink

_________________
MY 'PUPPY' PACKAGES

Back to top
View user's profile Send private message 
fabrice_035


Joined: 28 Apr 2014
Posts: 672
Location: Bretagne / France

PostPosted: Wed 24 Jul 2019, 02:30    Post subject:  

bigpup wrote:
What Puppy version?
Do you want it for Xenialpup 7.5 the 32bit version?


If it possible I would like to .
Regard

_________________
xenialpup 7.5 / Linux Kernel: 4.4.95 / Window Manager: JWM v2.3.7
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 13496
Location: S.C. USA

PostPosted: Wed 24 Jul 2019, 05:10    Post subject:  

Have you read the other posts?
_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer)
Back to top
View user's profile Send private message 
B.K. Johnson

Joined: 12 Oct 2009
Posts: 805

PostPosted: Wed 24 Jul 2019, 10:49    Post subject:  

@Mike Walsh
When you edit your posts, can you so indicate with [EDIT] and the nature of the amendment?
When I/we view your post before the amendment, it is only serendipity that will lead us back to the post and we'll miss your pearls of wisdom.
Written with sincerity.

_________________
B.K. Johnson
tahrpup-6.0.5 PAE (upgraded from 6.0 =>6.0.2=>6.0.3=>6.0.5 via quickpet/PPM=Not installed); slacko-5.7 occasionally. Frugal install, pupsave file, multi OS flashdrive, FAT32 , SYSLINUX boot, CPU-Dual E2140, 4GB RAM

Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 3753
Location: 500 seconds from Sol

PostPosted: Wed 24 Jul 2019, 11:07    Post subject: 32-bit LosslessCut 2.1 and avidemux  

Hi fabrice_035,

Can't help you with Vidcutter as I don't know which old version to look for. But the 32-bit LosslessCut version 2.1.0 Mike Walsh mentioned can be obtained here, https://github.com/mifi/lossless-cut/releases.

Download and extract the LosslessCut-linux-ia32.zip. An extracted folder will be created. You can Right-Click it to rename it just "LosslessCut", and move the folder to a location of your choosing. As Mike Walsh posted, it's a portable. To start LosslessCut, file-browse into that folder and Left-click the LosslessCut binary. Look for posts on the Forum for creating menu entries; or just drag and drop the binary onto your desktop, perhaps giving it a nice icon.

As Mike Walsh posted, "in Bionicpup32. It fires up with no issues." I fired it up under Xenialpup64 with 32-bit Compatibility SFS loaded. So, you should have no problem under the 32-bit Xenialpup 7.5.

Edit: LosslessCut suggests that it has capabilities not found in avidemux (without naming it) but whether those are available under Linux and especially using old versions remains questionable. See https://github.com/mifi/lossless-cut

Last edited by mikeslr on Wed 24 Jul 2019, 12:36; edited 1 time in total
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 6078
Location: King's Lynn, UK.

PostPosted: Wed 24 Jul 2019, 11:47    Post subject:  

@ Mike / all:-

Experimenting last night, LosslessCut v2.1.0 functions fine under Bionicpup32 8.0, Xeniapupl32 7.5, Tahrpup32 6.0.6, and radky's DPup 'Stretch' 7.5.

Any further back than that, it starts bitching about not only the glibc and libstdc++.so.6, but also the versions of gtk3 in use. Of course, for Raring, Precise and the 5-series Slackos in my kennels, the older version still works fine; the only real difference 'twixt the two is a few extra GUI features, and as t'other Mike points out, probably a newer version of ffmpeg.

There IS also a 64-bit version available, of course; as with most of the 'projects' on Github, and indeed with most software nowadays, all is going 64-bit only now.

The newest 64-bit version is up to v2.3.0:-

https://github.com/mifi/lossless-cut/releases/download/v2.3.0/LosslessCut-linux-x64.zip

That's a direct link to the download for the current 64-bit release, for anyone who's interested. Mike's instructions above still apply; unpacking, etc, remains the same.


Mike. Wink

_________________
MY 'PUPPY' PACKAGES

Back to top
View user's profile Send private message 
slavvo67

Joined: 12 Oct 2012
Posts: 1618
Location: The other Mr. 305

PostPosted: Tue 01 Oct 2019, 22:06    Post subject:  

Has this been resolved? I have a script that uses ffmpeg to cut between 2 times. The only snag is that you need to watch the video in vlc or other program to determine where u want to cut it.
Back to top
View user's profile Send private message 
p310don

Joined: 19 May 2009
Posts: 1486
Location: Brisbane, Australia

PostPosted: Tue 01 Oct 2019, 23:31    Post subject:  

Quote:
The only snag is that you need to watch the video in vlc


I've been doing some incredibly basic video editing / cutting recently. I use VLC on it's own. Simply go to "View" - "Advanced Controls" - and then a record button pops up. Play the video you want to cut, press record when you want to start the bit you want to save, and press it again when you're done.
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 3540
Location: wales

PostPosted: Tue 29 Oct 2019, 12:32    Post subject:  

vidcutter ppa here https://launchpad.net/~ozmartian/+archive/ubuntu/apps/+packages
_________________
Bionicpup64 built with bionic beaver packages http://murga-linux.com/puppy/viewtopic.php?t=114311
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [13 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0579s ][ Queries: 11 (0.0076s) ][ GZIP on ]